#ifndef __GPOD_FEED_MANAGER_H__
#define __GPOD_FEED_MANAGER_H__

#include "gpod-feed.h"
#include "gpod-feed-item.h"

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define GPOD_TYPE_FEED_MANAGER (gpod_feed_manager_get_type ())

G_DECLARE_FINAL_TYPE (GpodFeedManager, gpod_feed_manager, GPOD, FEED_MANAGER, GObject)

GpodFeedManager *
gpod_feed_manager_new ();

void
gpod_feed_manager_add_feed (GpodFeedManager *self,
                            GpodFeed        *feed);

GpodFeed *
gpod_feed_manager_get_feed_by_name (GpodFeedManager *self,
                                    gchar           *feed_name);

void
gpod_feed_manager_add_feed_by_url (GpodFeedManager *self,
                                   gchar           *feed_url);

GpodFeed *
gpod_feed_manager_get_feed_by_url (GpodFeedManager *self,
                                   gchar           *feed_url);

GList *
gpod_feed_manager_get_feeds (GpodFeedManager *self);

GList *
gpod_feed_manager_get_feeds_by_search (GpodFeedManager *self,
                                       gchar           *feed_search);

void
gpod_feed_manager_add_feed_items (GpodFeedManager *self,
                                  GpodFeed        *feed,
                                  GpodFeedItem    *feed_item);

GList *
gpod_feed_manager_get_feed_items (GpodFeedManager *self,
                                  GpodFeed        *feed);

G_END_DECLS

#endif /* __GPOD_FEED_MANAGER_H__ */
