#ifndef __GPOD_CHANNEL_H__
#define __GPOD_CHANNEL_H__

#include "gpod-item.h"

#include <glib-object.h>
#include <glib.h>

G_BEGIN_DECLS

#define GPOD_TYPE_CHANNEL (gpod_channel_get_type ())

/**
 * GpodChannel:
 *
 * A GPOD channel type. The contents of the #GpodChannel structure are private
 * and should only be accessed by the provided API
 */
typedef struct _GpodChannel GpodChannel;

struct _GpodChannel
{
    gchar *title;
    gchar *description;
    gchar *link;
    gchar *publish_date;
    gchar *last_build_date;
    gchar *image;

    GPtrArray *items;

    volatile gint ref_count;
};

GType gpod_channel_get_type (void) G_GNUC_CONST;

GpodChannel *
gpod_channel_new (void);

GpodChannel *
gpod_channel_ref (GpodChannel *object);

void
gpod_channel_unref (GpodChannel *object);


#ifdef G_DEFINE_AUTOPTR_CLEANUP_FUNC
G_DEFINE_AUTOPTR_CLEANUP_FUNC (GpodChannel, gpod_channel_unref)
#endif

G_END_DECLS

#endif /* __GPOD_CHANNEL_H__ */
