#ifndef __GPOD_FEED_H__
#define __GPOD_FEED_H__

#include "gpod-channel.h"

#include <glib-object.h>
#include <glib.h>

G_BEGIN_DECLS

#define GPOD_TYPE_FEED (gpod_feed_get_type ())

/**
 * GpodFeed:
 *
 * A GPOD feed type. The contents of the #GpodFeed structure are private
 * and should only be accessed by the provided API
 */
typedef struct _GpodFeed GpodFeed;

struct _GpodFeed
{
    GpodChannel *channel;

    volatile gint ref_count;
};

GType gpod_feed_get_type (void) G_GNUC_CONST;

GpodFeed *
gpod_feed_new (void);

GpodFeed *
gpod_feed_ref (GpodFeed *object);

void
gpod_feed_unref (GpodFeed *object);


#ifdef G_DEFINE_AUTOPTR_CLEANUP_FUNC
G_DEFINE_AUTOPTR_CLEANUP_FUNC (GpodFeed, gpod_feed_unref)
#endif

G_END_DECLS

#endif /* __GPOD_FEED_H__ */
