#ifndef __GPOD_ITEM_H__
#define __GPOD_ITEM_H__

#include <glib-object.h>
#include <glib.h>

G_BEGIN_DECLS

#define GPOD_TYPE_ITEM (gpod_item_get_type ())

/**
 * GpodItem:
 *
 * A GPOD Item type. The contents of the #GpodItem structure are private
 * and should only be accessed by the provided API
 */
typedef struct _GpodItem GpodItem;

struct _GpodItem
{
    gchar *title;
    gchar *description;
    gchar *link;
    gchar *publish_date;
    gchar *enclosure;
    gchar *guid;

    volatile gint ref_count;
};

GType gpod_item_get_type (void) G_GNUC_CONST;

GpodItem *
gpod_item_new (void);

GpodItem *
gpod_item_ref (GpodItem *object);

void
gpod_item_unref (GpodItem *object);

#ifdef G_DEFINE_AUTOPTR_CLEANUP_FUNC
G_DEFINE_AUTOPTR_CLEANUP_FUNC (GpodItem, gpod_item_unref)
#endif

G_END_DECLS

#endif /* __GPOD_ITEM_H__ */
