#include "test-parser.h"

#include <gnome-podcast.h>

#include <glib.h>

void
parser_fixture_set_up (ParserFixture *fixture,
                       gconstpointer  user_data)
{
    fixture->parser = gpod_parser_new ();
}

void
parser_fixture_tear_down (ParserFixture *fixture,
                          gconstpointer  user_data)
{
    g_clear_object (&fixture->parser);
}

void
test_parser_load_file (ParserFixture *fixture,
                       gconstpointer  user_data)
{
    gboolean retval;
    GError *error = NULL;

    retval = gpod_parser_load_from_file (fixture->parser,
                                         g_test_get_filename (G_TEST_DIST, "resources/feed-example.rss", NULL),
                                         &error);

    if (error)
        g_print ("Failed to load file into parser, message: %s\n", error->message);

    g_print ("Hello, stauts: %s\n", retval ? "true" : "false");

    g_assert (retval == TRUE);
}

